# Gimp.color_parse_css

    @accepts(unicode)
    @returns(Gegl.Color)
    def color_parse_css(css):
        # Python wrapper for gimp_color_parse_css()

Attempts to parse a string describing an sRGB color in CSS notation. This can be either a numerical representation (`rgb(255,0,0)` or `rgb(100%,0%,0%)`) or a hexadecimal notation as parsed by [func@color_parse_hex] (`##ff0000`) or a color name as parsed by [func@color_parse_css] (`red`).

Additionally the `rgba()`, `hsl()` and `hsla()` functions are supported too.

css

  a string describing a color in CSS notation

Returns